Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.dig
Class DIGHandler

    java.lang.Object
      org.mindswap.pellet.dig.DIGConstants
          org.mindswap.pellet.dig.DIGHandler

Direct Known Subclasses:
  DIGTellHandler

    public class DIGHandler

extends DIGConstants

Author:
  Evren Sirin

Field Summary

Fields inherited from class org.mindswap.pellet.dig.DIGConstants
`ALL, ALL_CONCEPT_NAMES, ALL_INDIVIDUALS, ALL_ROLE_NAMES, ANCESTORS, AND, ASK, ASKS, ATLEAST, ATMOST, ATTRIBUTE, BOTTOM, CATOM, CHAIN, CHILDREN, CLEARKB, CODE, CONCEPT_SET, DEFATTRIBUTE, DEFCONCEPT, DEFFEATURE, DEFINDIVIDUAL, DEFINED, DEFROLE, DESCENDANTS, DISJOINT, DOMAIN, EQUALC, EQUALR, EQUIVALENTS, ERROR, FALSE, FEATURE, FUNCTIONAL, GET_IDENTIFIER, ID, IDENTIFIER, IMPLIESC, IMPLIESR, INDIVIDUAL, INDIVIDUAL_PAIR, INDIVIDUAL_PAIR_SET, INDIVIDUAL_SET, INSTANCE, INSTANCEOF, INSTANCES, INTEQUALS, INTMAX, INTMIN, INTRANGE, INVERSE, ISET, IVAL, KB, LANGUAGE, MAX, MESSAGE, MIN, NAME, NAMESPACE, NEWKB, NOT, NUM, OK, OR, PARENTS, RANCESTORS, RANGE, RANGEINT, RANGESTRING, RATOM, RCHILDREN, RDESCENDANTS, RELATED, RELATED_INDIVIDUALS, RELEASEKB, RESPONSE, RESPONSES, ROLE_FILLERS, ROLE_SET, RPARENTS, SATISFIABLE, SCHEMA, SOME, STRINGEQUALS, STRINGMAX, STRINGMIN, STRINGRANGE, SUBSUMES, SUPPORTS, SVAL, SYNONYMS, TELL, TELLS, TOLD_VALUES, TOP, TRANSITIVE, TRUE, TYPES, URI, VAL, VALUE, VERSION, WARNING, XSI`

Constructor Summary
`DIGHandler()`

Method Summary
`aterm.ATermAppl` | `concept(org.w3c.dom.Element c)`
`static java.lang.String` | `getAttributeValue(org.w3c.dom.Element node, java.lang.String name)`
`static org.w3c.dom.Element` | `getElement(org.w3c.dom.Element node)`
`static org.w3c.dom.Element[]` | `getElementArray(org.w3c.dom.Element node)`
`static ElementList` | `getElements(org.w3c.dom.Element node)`
`static ElementList` | `getElements(org.w3c.dom.Element node, java.lang.String tagName)`
`static java.lang.String` | `getId(org.w3c.dom.Element node)`
`static int` | `getIntVal(org.w3c.dom.Element node)`
`aterm.ATermAppl` | `getInverse(org.w3c.dom.Element node)`
`KnowledgeBase` | `getKB()`
`static java.lang.String` | `getName(org.w3c.dom.Element node)`
`static aterm.ATermAppl` | `getNameTerm(org.w3c.dom.Element node)`
`static int` | `getNum(org.w3c.dom.Element node)`
`static java.lang.String` | `getTagName(org.w3c.dom.Element node)`
`static java.lang.String` | `getURI(org.w3c.dom.Element node)`
`static java.lang.String` | `getVal(org.w3c.dom.Element node)`
`static aterm.ATermAppl` | `individual(org.w3c.dom.Element c)`
`aterm.ATermAppl` | `literal(org.w3c.dom.Element node)`
`aterm.ATermAppl` | `property(org.w3c.dom.Element node)`
`static java.lang.String` | `serialize(org.w3c.dom.Document doc)`
`static java.lang.String` | `serialize(org.w3c.dom.Element el)`
`void` | `setKB(KnowledgeBase kb)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DIGHandler

    public DIGHandler()

Method Detail

### getKB

    public KnowledgeBase getKB()

### setKB

    public void setKB(KnowledgeBase kb)

### getAttributeValue

    public static java.lang.String getAttributeValue(org.w3c.dom.Element node,
                                                     java.lang.String name)

### getElement

    public static org.w3c.dom.Element getElement(org.w3c.dom.Element node)

### getElementArray

    public static org.w3c.dom.Element[] getElementArray(org.w3c.dom.Element node)

### getElements

    public static ElementList getElements(org.w3c.dom.Element node)

### getElements

    public static ElementList getElements(org.w3c.dom.Element node,
                                          java.lang.String tagName)

### getTagName

    public static java.lang.String getTagName(org.w3c.dom.Element node)

### getURI

    public static java.lang.String getURI(org.w3c.dom.Element node)

### getName

    public static java.lang.String getName(org.w3c.dom.Element node)

### getNum

    public static int getNum(org.w3c.dom.Element node)

### getIntVal

    public static int getIntVal(org.w3c.dom.Element node)

### getVal

    public static java.lang.String getVal(org.w3c.dom.Element node)

### getNameTerm

    public static aterm.ATermAppl getNameTerm(org.w3c.dom.Element node)

### getId

    public static java.lang.String getId(org.w3c.dom.Element node)

### getInverse

    public aterm.ATermAppl getInverse(org.w3c.dom.Element node)

### literal

    public aterm.ATermAppl literal(org.w3c.dom.Element node)

### property

    public aterm.ATermAppl property(org.w3c.dom.Element node)

### individual

    public static aterm.ATermAppl individual(org.w3c.dom.Element c)

### concept

    public aterm.ATermAppl concept(org.w3c.dom.Element c)

### serialize

    public static java.lang.String serialize(org.w3c.dom.Document doc)

### serialize

    public static java.lang.String serialize(org.w3c.dom.Element el)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.